local coveredBridge = ...
coveredBridge:register({
		DataType = "BUILDING_FUNCTION_MARKET",
                Id = CoveredBridgePrefix .. "_HAT_FUNCTION",
                Name = CoveredBridgePrefix .. "_HAT_FUNCTION_NAME",
                TypeList = { "GOODS" },
                IsOverrideCapacity = true,
                CapacityPerSlot = 50,
		WorkerCapacity = 1,
                RelatedJob = { Job = MarketAdditionPrefix .. "_HATMAKER", Behavior = _CoveredBridgeTagBehaviorWork },
                InputInventoryCapacity = {
			{ Resource = "WOOLEN_CLOTH", Quantity = 50 }
                },
                ResourceListNeeded = {
                	{ Resource = "WOOLEN_CLOTH", Quantity = 1 }
                },
                ResourceProduced = {
			{ Resource = MarketAdditionPrefix .. "_HAT", Quantity = 1 }
                }
})

coveredBridge:override({
    Id = CoveredBridgePrefix .. "_FUNCTION_LIST",
    AssetFunctionList = {
                Action = "APPEND",
		CoveredBridgePrefix .. "_HAT_FUNCTION"
    }
})
